#!/usr/bin/python3

import os
import subprocess
from boottoolsfunctions import utils, apt

os.environ['LANGUAGE'] = os.environ['LC_ALL'] = os.environ['LANG'] = 'C'
os.chdir ('/tmp')

print ('ms-sys')
try: utils.run (['which', 'ms-sys'])
except:
    utils.run (['wget', 'https://sourceforge.net/projects/ms-sys/files/latest/download', '-O', 'ms-sys.tar.gz'])
    utils.run (['tar', '-xpzf', 'ms-sys.tar.gz'])
    mssys_dir = subprocess.run (['tar tzf ms-sys.tar.gz |head -n 1'], shell=True, capture_output=True, text=True).stdout.strip()
    print (f'mssys_dir "{mssys_dir}"')
    os.chdir (mssys_dir)
    utils.run (['make', 'install'])
    os.chdir ('..')

print ('spartlnx')
try: utils.run (['which', 'spartl64.run'])
except:
    utils.run (['wget', 'http://damien.guibouret.free.fr/savepart.zip'])
    utils.run (['unzip', '-o', 'savepart.zip', '-d', '/sbin/', 'spartl64.run'])
    utils.run (['mkdir', '/usr/share/doc/spartlnx'])
    utils.run (['unzip', '-j', '-o', 'savepart.zip', '-d', '/usr/share/doc/spartlnx/', 'doc/en/*'])

if not os.path.exists ('python-libfdisk'):
    print ('python-libfdisk')
    apt.install (['python3-psutil', 'python3-dev', 'libfdisk-dev', 'python3-setuptools'])
    utils.run (['git', 'clone', 'git://git.48k.eu/python-libfdisk'])
    os.chdir ('python-libfdisk')
    utils.run (['python3', 'setup.py', 'install'])
    os.chdir ('..')
    apt.remove (['python3-dev', 'python3-setuptools'])
